org.richfaces.taglib

## Class GmapTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.GmapTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class GmapTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GmapTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setEnableContinuousZoom(javax.el.ValueExpression __enableContinuousZoom)` Enables continuous smooth zooming for selected browsers.
    `void` | `setEnableDoubleClickZoom(javax.el.ValueExpression __enableDoubleClickZoom)` Enables zooming in by a double click.
    `void` | `setEnableDragging(javax.el.ValueExpression __enableDragging)` Enables a map dragging with the mouse.
    `void` | `setEnableInfoWindow(javax.el.ValueExpression __enableInfoWindow)` Enables Info Window.
    `void` | `setGmapKey(javax.el.ValueExpression __gmapKey)` Google Map key.
    `void` | `setGmapVar(javax.el.ValueExpression __gmapVar)` The JavaScript variable that is used to access the Google Map API.
    `void` | `setLat(javax.el.ValueExpression __lat)` Initial latitude coordinate in degrees, as a number between -90 and +90.
    `void` | `setLng(javax.el.ValueExpression __lng)` Initial longitude coordinate in degrees, as a number between -180 and +180.
    `void` | `setLocale(javax.el.ValueExpression __locale)` Used for locale definition.
    `void` | `setMapType(javax.el.ValueExpression __mapType)` Initial map type.
    `void` | `setOninit(javax.el.ValueExpression __oninit)` HTML: script expression; the Google Map object is initiated.
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setShowGLargeMapControl(javax.el.ValueExpression __showGLargeMapControl)` Shows the GLarge control.
    `void` | `setShowGMapTypeControl(javax.el.ValueExpression __showGMapTypeControl)` Shows the Type switch control.
    `void` | `setShowGScaleControl(javax.el.ValueExpression __showGScaleControl)` It shows the scale control.
    `void` | `setWarningMessage(javax.el.ValueExpression __warningMessage)` The warning message that appears if a browser is not compatible with Google Map.
    `void` | `setZoom(javax.el.ValueExpression __zoom)` Initial zoom level as a number between 1 and 18.

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### GmapTag

          public GmapTag()

  - ### Method Detail

    - #### setEnableContinuousZoom

          public void setEnableContinuousZoom(javax.el.ValueExpression __enableContinuousZoom)

      Enables continuous smooth zooming for selected browsers. Default value is "false". Setter for enableContinuousZoom
      Parameters:
        `enableContinuousZoom` - - new value

    - #### setEnableDoubleClickZoom

          public void setEnableDoubleClickZoom(javax.el.ValueExpression __enableDoubleClickZoom)

      Enables zooming in by a double click. Default value is "false". Setter for enableDoubleClickZoom
      Parameters:
        `enableDoubleClickZoom` - - new value

    - #### setEnableDragging

          public void setEnableDragging(javax.el.ValueExpression __enableDragging)

      Enables a map dragging with the mouse. Default value is "true". Setter for enableDragging
      Parameters:
        `enableDragging` - - new value

    - #### setEnableInfoWindow

          public void setEnableInfoWindow(javax.el.ValueExpression __enableInfoWindow)

      Enables Info Window. Default value is "true". Setter for enableInfoWindow
      Parameters:
        `enableInfoWindow` - - new value

    - #### setGmapKey

          public void setGmapKey(javax.el.ValueExpression __gmapKey)

      Google Map key. A single Map API key is valid for a single "directory" on your web server. Default value is "internal". Setter for gmapKey
      Parameters:
        `gmapKey` - - new value

    - #### setGmapVar

          public void setGmapVar(javax.el.ValueExpression __gmapVar)

      The JavaScript variable that is used to access the Google Map API. If you have more than one Google Map components on the same page, use individual key for each of them. The default variable name is "map" (without quotes). Setter for gmapVar
      Parameters:
        `gmapVar` - - new value

    - #### setLat

          public void setLat(javax.el.ValueExpression __lat)

      Initial latitude coordinate in degrees, as a number between -90 and +90. Default value is "37.9721046". Setter for lat
      Parameters:
        `lat` - - new value

    - #### setLng

          public void setLng(javax.el.ValueExpression __lng)

      Initial longitude coordinate in degrees, as a number between -180 and +180. Default value is "-122.0424842834". Setter for lng
      Parameters:
        `lng` - - new value

    - #### setLocale

          public void setLocale(javax.el.ValueExpression __locale)

      Used for locale definition. Default value is "getDefaultLocale()". Setter for locale
      Parameters:
        `locale` - - new value

    - #### setMapType

          public void setMapType(javax.el.ValueExpression __mapType)

      Initial map type. The possible values are "G_NORMAL_MAP", "G_SATELLITE_MAP", "G_HYBRID_MAP". Default value is "G_SATELLITE_MAP". Setter for mapType
      Parameters:
        `mapType` - - new value

    - #### setOninit

          public void setOninit(javax.el.ValueExpression __oninit)

      HTML: script expression; the Google Map object is initiated. Setter for oninit
      Parameters:
        `oninit` - - new value

    - #### setShowGLargeMapControl

          public void setShowGLargeMapControl(javax.el.ValueExpression __showGLargeMapControl)

      Shows the GLarge control. Default value is "true". Setter for showGLargeMapControl
      Parameters:
        `showGLargeMapControl` - - new value

    - #### setShowGMapTypeControl

          public void setShowGMapTypeControl(javax.el.ValueExpression __showGMapTypeControl)

      Shows the Type switch control. Default value is "true". Setter for showGMapTypeControl
      Parameters:
        `showGMapTypeControl` - - new value

    - #### setShowGScaleControl

          public void setShowGScaleControl(javax.el.ValueExpression __showGScaleControl)

      It shows the scale control. Default value is "true". Setter for showGScaleControl
      Parameters:
        `showGScaleControl` - - new value

    - #### setWarningMessage

          public void setWarningMessage(javax.el.ValueExpression __warningMessage)

      The warning message that appears if a browser is not compatible with Google Map. Default value is "Your browser does not support Google Maps". Setter for warningMessage
      Parameters:
        `warningMessage` - - new value

    - #### setZoom

          public void setZoom(javax.el.ValueExpression __zoom)

      Initial zoom level as a number between 1 and 18. Default value is "17". Setter for zoom
      Parameters:
        `zoom` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2014. All Rights Reserved.